FROM python:3.12-alpine
RUN apk update && apk add openssh

COPY ./ /app
COPY --chmod=0600 ./build/id_rsa /root/.ssh/

RUN pip3 install requests

WORKDIR /app

CMD ["python3", "./epg-grabber/getEpgs.py"]
